% Votsch (med tdler over o) VT4011
% Rel. Hum. 50-60

x = -50:1:50;
temperature = [-40,-35,-30,-25,-20,-15,-10,-5,5.5,10.7,15.7,20.8,25.9,31.1];
resistance = [76.2,78.1,80.3,82.5,84.8,86.7,88.6,90.8,93.7,95.3,97.3,99,100.8,102.6];
coeffs = polyfit(temperature,resistance,1);
values = polyval(coeffs,x);
plot(temperature,resistance,'ok','LineWidth',2);
hold on; grid on;
plot(x,values,'k','LineWidth',2);
xlabel('C^o Temperature');
ylabel('[\Omega] Resistance');
title('Temperature dependence');



