% Draw a pwm signal for report
t=0:0.005:1;
a=(sin(2*pi*t)+1)/2;
bT=0:0.1:1;
b=[];
for i=0:0.05:1
  b=[b,bT];
end
b=b(1:201);
figure(1);
subplot(2,1,1)
plot(t,a,'k','LineWidth',2);
grid on;
hold on;
plot(t,b,'k');
title('Desired Voltage');
axis([0 1 -0.1 1.1])
subplot(2,1,2)
grid on;
hold on;
val=0;
for i=1:length(b)-1
    oldVal=val;
    if a(i)>b(i)
        val=1;
    else
        val=0;
    end
    if oldVal==val
        plot([t(i-1) t(i+1)], [oldVal oldVal],'k','LineWidth',2);
    else
        plot([t(i) t(i)],[oldVal val],'k','LineWidth',2);
    end
end
axis([0 1 -0.1 1.1])
title('PWM signal');
        